Bug 122690 - There is no "bigmem" kernel and standard kernel does not have PAE enabled
There is no "bigmem" kernel and standard kernel does not have PAE enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-06 19:54 EDT by Jesse Keating
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:24:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2004-05-06 19:54:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
This is a RFE, currently there is no stock way of supporting more than
4gigs of ram.  This is a fairly big issue for us as we sell lots of
servers with +4 gigs of ram.  Seems that the building of bigmem was
just turned off in the spec...
Comment 1 Warren Togami 2004-05-06 20:18:33 EDT
Did we ship bigmem kernels earlier during FC1?
Comment 2 Jesse Keating 2004-05-06 21:16:59 EDT
I could not find a bigmem kernel on the CDs or in any of the released
updates.
Comment 3 Arjan van de Ven 2004-05-07 02:45:38 EDT
The smp kernel has PAE.
Comment 4 Jesse Keating 2004-05-07 10:35:50 EDT
I'm almost dead positive that we had the smp kernel on the system, and
only 4 gigs showed up.  I built the bigmem kernel and then 6 gigs
showed up.  I'll have to double verify this, but can you also check on
your side?  The config files packaged with kernel-source show that
config_bigmem_4g is configured for the smp, not 64g.
Comment 5 Jesse Keating 2004-06-09 14:25:25 EDT
I can conform that 2188 smp does _not_ have PAE enabled.  It only sees
a little under 4 gigs of ram on a system that has over 5 gigs. 
Booting  a rebuilt kernel that has PAE lets me see the full size.
Comment 6 Dave Jones 2004-07-01 16:22:13 EDT
should be fixed in the current errata kernel
Comment 7 David Lawrence 2004-09-29 16:24:22 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.